package main

import (
	"context"
	"fmt"
	"time"

	"github.com/tarantool/go-tarantool/v2"
)

func main() {
	ctx, cancel := context.WithTimeout(context.Background(), time.Second)
	defer cancel()

	dialer := tarantool.OpenSslDialer{
		Address:     "localhost:3300",
		User:        "admin",
		Password:    "secret-cluster-cookie",
		SslKeyFile:  "../bootstrap/client-key.pem",
		SslCertFile: "../bootstrap/client-cert.pem",
		SslCaFile:   "../bootstrap/ca-cert.pem",
		SslPassword: "54321",
	}

	opts := tarantool.Opts{}

	conn, err := tarantool.Connect(ctx, dialer, opts)
	if err != nil {
		fmt.Println(err)
		return
	}

	fmt.Println(conn.Greeting.Version)
	return
}
